## stsci.distutils 0.3.6

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/stscidistutils.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/stscidistutils.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/stscidistutils"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/stscidistutils"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## stsci.distutils 0.3

=== debian/changelog ===
stsci.distutils (0.3-1) unstable; urgency=low

  * Initial release of stsci.distutils, needed by newer versions
    of PyFITS.  Closes: #675889.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 04 Jun 2012 00:57:50 +0200

=== debian/control ===
Source: stsci.distutils
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Aurelien Jarno <aurel32@debian.org>
Build-Depends: debhelper (>= 7.0.50~), python-all (>= 2.6.6-3~), python-setuptools, python-d2to1, python3-all (>= 3.1.2-6~), python3-setuptools, python3-d2to1
X-Python-Version: >= 2.5
X-Python3-Version: >= 3.0
Standards-Version: 3.9.3
Homepage: http://pypi.python.org/pypi/stsci.distutils
Vcs-Svn: svn://svn.debian.org/python-modules/packages/stsci.distutils/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/stsci.distutils/trunk/

Package: python-stsci.distutils
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: Python packaging utilities for STScI's packages
 This package contains utilities used to package some of STScI's Python
 projects; specifically those projects that comprise stsci_python_ and
 Astrolib_. It currently consists mostly of some setup_hook scripts meant
 for use with distutils2 and/or d2to1, and a customized easy_install 
 command meant for use with distribute.
 .
 This is the Python 2 version.

Package: python3-stsci.distutils
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Python3 packaging utilities for STScI's packages
 This package contains utilities used to package some of STScI's Python
 projects; specifically those projects that comprise stsci_python_ and
 Astrolib_. It currently consists mostly of some setup_hook scripts meant
 for use with distutils2 and/or d2to1, and a customized easy_install 
 command meant for use with distribute.
 .
 This is the Python 3 version.

## stsci.distutils 0.3.2

=== debian/changelog ===
stsci.distutils (0.3.2-1) unstable; urgency=low

  [ Aurelien Jarno ]
  * New upstream version.
  * Tighten Build-Depends on python-d2to1 to (>= 0.2.9~)
  * Bump Standards-Version to 3.9.4 (no changes).

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 09 May 2013 13:41:26 +0200

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Aurelien Jarno <aurel32@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), python-all (>= 2.6.6-3~), python-setuptools, python-d2to1, python3-all (>= 3.1.2-6~), python3-setuptools, python3-d2to1
+Build-Depends: debhelper (>= 7.0.50~), python-all (>= 2.6.6-3~), python-setuptools, python-d2to1 (>= 0.2.9~), python3-all (>= 3.1.2-6~), python3-setuptools, python3-d2to1 (>= 0.2.9~)
 X-Python-Version: >= 2.5
 X-Python3-Version: >= 3.0
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://pypi.python.org/pypi/stsci.distutils
-Vcs-Svn: svn://svn.debian.org/python-modules/packages/stsci.distutils/trunk/
-Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/stsci.distutils/trunk/
+Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/stsci.distutils/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/stsci.distutils/trunk/
 
 Package: python-stsci.distutils
 Architecture: all

## stsci.distutils 0.3.6

=== debian/changelog ===
stsci.distutils (0.3.6-1) unstable; urgency=low

  * New upstream version.
  * Bump Standards-Version to 3.9.5 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 07 Dec 2013 16:06:55 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper (>= 7.0.50~), python-all (>= 2.6.6-3~), python-setuptools, python-d2to1 (>= 0.2.9~), python3-all (>= 3.1.2-6~), python3-setuptools, python3-d2to1 (>= 0.2.9~)
 X-Python-Version: >= 2.5
 X-Python3-Version: >= 3.0
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://pypi.python.org/pypi/stsci.distutils
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/stsci.distutils/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/stsci.distutils/trunk/

=== debian/rules ===
#!/usr/bin/make -f

PYVERS :=  $(shell pyversions -r)
PY3VERS := $(shell py3versions -r)

%:
	dh $@ --with python2,python3

override_dh_auto_build:
	set -ex; \
	for py in $(PYVERS) $(PY3VERS); do \
		$$py setup.py build; \
	done

override_dh_auto_install:
	set -ex; \
	for py in $(PYVERS); do \
		$$py setup.py install --skip-build --no-compile \
		                      --root debian/python-stsci.distutils \
		                      --install-layout=deb; \
	done
	set -ex; \
	for py in $(PY3VERS); do \
		$$py setup.py install --skip-build --no-compile \
		                      --root debian/python3-stsci.distutils \
		                      --install-layout=deb; \
	done

override_dh_auto_clean:
	rm -rf build 
	rm -rf stsci.distutils.egg-info
	rm -f stsci/distutils/version.py
	find . \( -name '*.pyc' -o -name __pycache__ \) -delete

=== debian/watch ===
version=3

http://pypi.python.org/packages/source/s/stsci.distutils/stsci.distutils-(.+).tar.gz

## stsci.distutils 0.3.7

=== debian/changelog ===
stsci.distutils (0.3.7-4) unstable; urgency=medium

  * Use datetime.utcfromtimestamp instead of datetime.fromtimestamp to parse
    SOURCE_DATE_EPOCH.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 09 Oct 2015 23:41:14 +0200

stsci.distutils (0.3.7-3) unstable; urgency=medium

  * Stop exporting SOURCE_DATE_EPOCH in debian/rules now that it's
    exported by default in debhelper.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 07 Oct 2015 14:39:48 +0200

stsci.distutils (0.3.7-2) unstable; urgency=medium

  * Add a build-depends on dh-python.
  * Add patches/01-SOURCE_DATE_EPOCH.diff to support SOURCE_DATE_EPOCH
    environment variable when generating version.py.
  * Export SOURCE_DATE_EPOCH in debian/rules to have identical version.py
    files in python3.x builds. That way dh_python3 can merge them into
    /usr/lib/python3/dist-packages.
  * Bump Standards-Version to 3.9.6 (no changes).
  * Update debian/watch to use the pypi.debian.net redirector.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 03 Oct 2015 10:40:18 +0200

stsci.distutils (0.3.7-1) unstable; urgency=medium

  * New upstream version.
  * Pass --buildsystem=pybuild to the dh sequencer to reduce debian/rules
    even further.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 28 Jul 2014 23:53:30 +0200

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Aurelien Jarno <aurel32@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), python-all (>= 2.6.6-3~), python-setuptools, python-d2to1 (>= 0.2.9~), python3-all (>= 3.1.2-6~), python3-setuptools, python3-d2to1 (>= 0.2.9~)
+Build-Depends: debhelper (>= 9), dh-python, python-all (>= 2.6.6-3~), python-setuptools, python-d2to1 (>= 0.2.9~), python3-all (>= 3.1.2-6~), python3-setuptools, python3-d2to1 (>= 0.2.9~)
 X-Python-Version: >= 2.5
 X-Python3-Version: >= 3.0
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://pypi.python.org/pypi/stsci.distutils
-Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/stsci.distutils/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/stsci.distutils/trunk/
+Vcs-Git: git://anonscm.debian.org/python-modules/packages/stsci.distutils.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/stsci.distutils.git
 
 Package: python-stsci.distutils
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2,python3 --buildsystem=pybuild --parallel

override_dh_auto_clean:
	dh_auto_clean
	rm -f stsci/distutils/version.py
	rm -rf stsci.distutils.egg-info

override_dh_auto_test:
	# Disable tests

=== debian/watch ===
version=3

http://pypi.debian.net/stsci.distutils/stsci.distutils-(.+).tar.gz
